SoulFire LogoSoulFire

List negotiated packet schemas

GET
/v1/instances/{instance_id}/bots/{bot_id}/protocol/packets

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Path Parameters

instance_id*string
bot_id*string

Query Parameters

direction*string

Value in

  • "PACKET_DIRECTION_UNSPECIFIED"
  • "PACKET_DIRECTION_CLIENTBOUND"
  • "PACKET_DIRECTION_SERVERBOUND"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/instances/string/bots/string/protocol/packets?direction=PACKET_DIRECTION_UNSPECIFIED"
{  "packets": [    {      "direction": "PACKET_DIRECTION_UNSPECIFIED",      "name": "string",      "networkId": 0,      "protocolState": "string"    }  ]}

How is this page?